#!/usr/bin/env Rscript
args = commandArgs(trailingOnly=TRUE)

# args[1] -> Path to the training CSV file
# args[2] -> Path where the generated model will be exported

# C5.0 for decission trees and rule-based models

# Libraries
library(C50)

# Data importing (without id field)
training_data = read.csv(args[1], header = TRUE)[,-6][,-11:-12][,-12:-13][,-1]

# Build model
model <- C5.0(x = training_data[,-length(training_data)], y = training_data$state, rules = TRUE, trials=1)
write(model$rules, file=args[2])

