#!/bin/bash
# $1 -> Directory where the file will be exported
# $2 -> Collection start epoch
# $3 -> Collection end epoch
# $4 -> Path to pool of notifications that must be included in the query

if [ $# -lt 1 ]; then
cat << EOF
No directory was specified.
EOF
	exit 1
fi


now=`date +%s`

start_epoch=$2
end_epoch=$3

start_date=`date -d @$start_epoch +"%Y-%m-%dT%H:%M:%S"`
end_date=`date -d @$end_epoch +"%Y-%m-%dT%H:%M:%S"`

file_name='DATA_FROM_'$start_date'_TO_'$end_date'.csv'

if [ -f $4 ]; then
	python export_metrics/export_metrics.py -out $1/$file_name -started-after-ts $start_epoch -started-before-ts $end_epoch -running-only -extra-queries $4
else
	python export_metrics/export_metrics.py -out $1/$file_name -started-after-ts $start_epoch -started-before-ts $end_epoch -running-only
fi
data/fix.sh $1/$file_name $1/$file_name'.tmp'
mv $1/$file_name'.tmp' $1/$file_name

echo $1/$file_name
