#!/bin/bash
# $1 -> Directory where the file will be exported

if [ $# -lt 1 ]; then
cat << EOF
No directory was specified.
EOF
	exit 1
fi


now=`date +%s`

start_epoch=$(($now-2592000))
end_epoch=$now

start_date=`date -d @$start_epoch +"%Y-%m-%dT%H:%M:%S"`
end_date=`date -d @$end_epoch +"%Y-%m-%dT%H:%M:%S"`

file_name='SD_FROM_'$start_date'_TO_'$end_date'.csv'

python export_metrics/export_metrics.py -out $1/$file_name -started-after-ts $start_epoch -started-before-ts $end_epoch
data/fix.sh $1/$file_name $1/$file_name'.tmp'
grep -v RUNNING $1/$file_name'.tmp' > $1/$file_name

echo $1/$file_name
