# C5.0 for decission trees and rule-based models

# Libraries
library(C50)
library(caret)

# Data importing (without id field)
training_data = read.csv('<path to training data>', header = TRUE)[,-6][,-11:-12][,-12:-13][,-1]
test_data = read.csv('<path to test data>', header = TRUE)[,-6][,-11:-12][,-12:-13][,-1]
levels(test_data$state) = levels(training_data$state)
colnames(training_data)

# Build model
model <- C5.0(x = training_data[,-length(training_data)], y = training_data$state, rules = TRUE, trials=1)
model
summary(model)
model$boostResults
write(model$rules, file="/<path>/model.rules")

# Predictions
predictions <- predict(model, newdata = test_data, na.action = na.pass)
expected = test_data$state
result <- expected == predictions
ok = length(result[result==TRUE])
err = length(result[result==FALSE])
acc = ok/length(result)
cat('OK predictions: ', ok, '\nFailed predictions: ', err,
    '\nPredictions accuracy: ', acc)
confusionMatrix(predictions, expected)

