package ai.lazuli.cesga.data.collection;

import ai.lazuli.cesga.data.ModelBuilder;

public class BuildModelAfterCollection implements AfterCollectionStrategy {
	// *** ATTRIBUTES *** //
	// ****************** //
	private String modelPath; // Path where the model will be generated when new data is collected
	private ModelBuilder modelBuilder; // Used to generate the model when data is successfully collected
	
	// *** CONSTRUCTOR *** //
	// ******************* //
	public BuildModelAfterCollection(String modelPath, ModelBuilder modelBuilder) {
		this.modelPath = modelPath;
		this.modelBuilder = modelBuilder;
	}

	// *** GETTERs and SETTERs *** //
	// *************************** //
	public String getModelPath() {
		return modelPath;
	}

	public void setModelPath(String modelPath) {
		this.modelPath = modelPath;
	}
	
	public ModelBuilder getModelBuilder() {
		return modelBuilder;
	}

	public void setModelBuilder(ModelBuilder modelBuilder) {
		this.modelBuilder = modelBuilder;
	}

	// *** AFTER COLLECTION STRATEGY *** //
	// ********************************* //
	@Override
	public void apply(String csvPath) {
		modelBuilder.build(csvPath, getModelPath());
	}

}
