package ai.lazuli.cesga.data.collection;

import ai.lazuli.cesga.logging.Logger;

public class CollectorThread extends Thread {
	// *** ATTRIBUTES *** //
	// ****************** //
	private Collector collector; // Collector used by this thread
	
	// *** CONSTRUCTORS *** //
	// ******************** //
	public CollectorThread(Collector collector){
		this.collector = collector;
	}
	
	// *** RUN *** //
	// *********** //
	@Override
	public void run() {
		while(collector.isCollecting()) {
			Long last = collector.getLastCollectionTime();
			long interval = collector.getInterval();
			long now = System.currentTimeMillis()/1000;
			
			if(last == null || now-last >= interval) {
				try {
					collector.collect();
				}catch(Exception ex) {
					Logger.printException(ex);
					_sleep(interval/3);
				}
			}
			else {
				_sleep(interval/3);
			}
		}
	}
	
	// *** SLEEP *** //
	// ************* //
	public void _sleep(long time) {
		try {
			sleep(time*1000);
		}catch(InterruptedException iex) {
			Logger.printException(iex);
		}
	}
}
