# *************** #
# *   V A R S   * #
# *************** #
input_files = [
	'<path to test data 1>',
	'<path to test data 2>',
	'<path to test data n>'
]

input_reference = '<path to reference training data file>'


user_index = 3 # Index for user value in CSV records (0 is the first one)
account_index = 2 # Index for account value in CSV records
partition_index = 10 # Index for partition value in CSV records
start_week_day_index = 18 # Index for start_week_day value in CSV records
state_index = 20 # Index fot state value in CSV records


# *************** #
# *   M A I N   * #
# *************** #
if __name__ == '__main__':
	# Build sets from input_reference (training data)
	users = set()
	accounts = set()
	partitions = set()
	start_week_days = set()
	states = set()
	
	fin = open(input_reference,"r")
	
	print('Parsing input reference: "{}"  ...'.format(input_reference))
	
	fin.readline() # Skip header
	line = fin.readline()[:-1]
	while len(line) > 0:
		split = line.split(",");
		users.add(split[user_index])
		accounts.add(split[account_index])
		partitions.add(split[partition_index])
		start_week_days.add(split[start_week_day_index])
		states.add(split[state_index])
		
		line = fin.readline()[:-1]
	fin.close()
	try:
		states.remove('CANCELLED')
	except KeyError: pass	
	
	
	# Fix test data
	for infile in input_files:
		count = 0
		fin = open(infile, "r")
		outfile = infile.replace(".csv","_fixed.csv")
		fout = open(outfile, "w")
		
		print('Generating output: "{}"  ...'.format(outfile))
		
		fout.write(fin.readline()) # Copy header
		line = fin.readline()[:-1]
		while len(line) > 0:
			split = line.split(",")
			if (split[user_index] in users and
					split[account_index] in accounts and
					split[partition_index] in partitions and
					split[start_week_day_index] in start_week_days and
					split[state_index] in states):
				fout.write('{}\n'.format(line))
			else : count += 1	
			line = fin.readline()[:-1]

		fin.close()
		fout.close()

		print('For test data in file "{file:}" {num:} records were purged'
			.format(file=infile, num=count))
